# Class `juce.Colour`

A simple colour class.

Is converted to a JUCE Colour

## Constructors

juce.Colour (r, g, b[, a]) | Constuctor with classical arguments.
juce.Colour (args) | Constuctor with named arguments.

## Fields

juce.Colour.r | Red (0-255)
juce.Colour.g | Green (0-255)
juce.Colour.b | Blue (0-255)
juce.Colour.a | Alpha (0-255)

## Predefined values

juce.Colour.black |
juce.Colour.white |
juce.Colour.red |
juce.Colour.green |
juce.Colour.blue |

## Constructors

juce.Colour (r, g, b[, a])
  Constuctor with classical arguments.

  ### Parameters:

  - r red
  - g green
  - b blue
  - a alpha
juce.Colour (args)
  Constuctor with named arguments. Every field is optional.

  ### Parameters:

  - args
    - r red
    - g green
    - b blue,
    - a alpha

## Fields

juce.Colour.r
  Red (0-255)
juce.Colour.g
  Green (0-255)
juce.Colour.b
  Blue (0-255)
juce.Colour.a
  Alpha (0-255)

## Predefined values

juce.Colour.black
juce.Colour.white
juce.Colour.red
juce.Colour.green
juce.Colour.blue

generated by LDoc 1.4.2